Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706528 - net-analyzer/fping-4.2 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/fping-4.2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 18:58 UTC by Toralf Förster
Modified: 2020-02-03 17:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.41 KB, text/plain)
2020-01-26 18:58 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,109.66 KB, text/plain)
2020-01-26 18:58 UTC, Toralf Förster
Details
environment (environment,18.91 KB, text/plain)
2020-01-26 18:58 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.69 KB, application/x-bzip)
2020-01-26 18:58 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.46 KB, application/x-bzip)
2020-01-26 18:58 UTC, Toralf Förster
Details
net-analyzer:fping-4.2:20200126-183929.log (net-analyzer:fping-4.2:20200126-183929.log,9.68 KB, text/plain)
2020-01-26 18:58 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,8.64 KB, application/x-bzip)
2020-01-26 18:58 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 18:58:21 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -Wall -Wextra -Wno-sign-compare -DIPV6 -O2 -pipe -march=native -fno-common -c -o fping-socket4.o `test -f 'socket4.c' || echo './'`socket4.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -Wall -Wextra -Wno-sign-compare -DIPV6 -O2 -pipe -march=native -fno-common -c -o fping-optparse.o `test -f 'optparse.c' || echo './'`optparse.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -Wall -Wextra -Wno-sign-compare -DIPV6 -O2 -pipe -march=native -fno-common -c -o fping-socket6.o `test -f 'socket6.c' || echo './'`socket6.c
x86_64-pc-linux-gnu-gcc -Wall -Wextra -Wno-sign-compare -DIPV6 -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o fping fping-fping.o fping-seqmap.o fping-socket4.o fping-optparse.o fping-socket6.o  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: fping-socket4.o:(.bss+0x10): multiple definition of `random_data_flag'; fping-fping.o:(.bss+0x168): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: fping-socket6.o:(.bss+0x10): multiple definition of `random_data_flag'; fping-fping.o:(.bss+0x168): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 17:49:34 +0000

emerge -qpvO net-analyzer/fping
[ebuild  N    ] net-analyzer/fping-4.2  USE="ipv6 -suid"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 18:58:23 UTC
Created attachment 604788 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 18:58:26 UTC
Created attachment 604790 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 18:58:29 UTC
Created attachment 604792 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 18:58:31 UTC
Created attachment 604794 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 18:58:34 UTC
Created attachment 604796 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-26 18:58:37 UTC
Created attachment 604798 [details]
net-analyzer:fping-4.2:20200126-183929.log
Comment 7 Toralf Förster gentoo-dev 2020-01-26 18:58:39 UTC
Created attachment 604800 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-27 00:39:29 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0cccf240057e4581546bb59c6221d82d34660183

commit 0cccf240057e4581546bb59c6221d82d34660183
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-27 00:39:11 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-27 00:39:25 +0000

    net-analyzer/fping: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706528
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/fping/files/fping-4.2-fno-common.patch | 11 +++++++++++
 net-analyzer/fping/fping-4.2.ebuild                 |  6 +++++-
 2 files changed, 16 insertions(+), 1 deletion(-)